/*
	CSS Syntax
	
	selector {
		property: value;
		property: value;
	}

	Declarations end in semi-colon. CSS Declarations allows to manipulate the property of the selected element/elements.

	A group of declaration for selected elements as well as its selector are called a rule-set and is wrapped in {}

	selectors selects elements to be designed or styled by a rule set.

	* - universal selector - it allows us to select and apply CSS stylings on all elements.

	font-family - allows us to modify or determine the font of the selected elements. It's values are the available default CSS fonts and a fallback font.

	fallback font is used as a backup if the indicated font is not available.
	
	font-size allows us to change the size of the text.

*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*
 ID selector

 To be able to select an element with a unique id, first add the # and the name of the id.

 #idName {
	property: value;
 }

 letter-spacing allows us to add space between characters in a text.

*/
#zuitt-motto {
	letter-spacing: 5px;
}
/*
 Type selector

 Allows us to select elements of the same tag/type

 background-color allows us to modify the color of an element's background.

Syntax:

 tag/type {
	property: value;
 }

*/
body {
	background-color: skyblue;
}

h1 {
	/*
		rem is a measurement in css and it stands for root element.

		It is measurement based on the font-size of the root element.

		The default font size is 16px.

		However, due to our universal selector the font-size of all elements and including the root-element is 20px

		2rem = 40px

		rem as a measurement is mostly used for font-size. However, it can also be used as measurement for other CSS properties.
	*/
	font-size: 2rem;
	/*text-align allows us to horizontally align the text in an element.*/
	text-align: center;
}

/*
	Class selector

	Allows us to select and style elements with the same class

	.className {
		property: value;
	}

*/
.offering-item {
	text-transform: uppercase;
}

/*
	Attribute Selector

	Allows us to select elements with the same tag and attribute

	tag[attribute]


*/

input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
}
/*
	selector priority: 
	
	id - highest
	class
	attribute
	type
	universal - lowest

	The more specific the selector is the more priority it is given.

	Selector Combinator

	Selector Combinators are used to make selectors more specific and to be able to select elements more specifically.

	Adjacent Sibling Combinator

	Allows us to select the adjacent sibling of the first selector. An adjacent sibling is the element nearest to first sibling and it must come AFTER the first sibling.

	firstSibling + adjacentSibling {

		property: value;
	
	}

	height and width properties will allow us to resize the height and width of an element based on a measurement.

	border-radius allows us to round the corners of an element.

*/

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}
/*
	Descendant Combinator
	It will allow us to select the particular elements that are a descendant of the first element/selector.

	element descendantElement {
	
	}

	We can also add specific colors to properties that can change colors using a hex decimal. Hex decimals consists of a pound sign (#) and alphanumeric characters and this may pertain to a particular color. 

*/
#bootcamp-learning-list li {
	color: #075966;
}
/*
	General Sibling Combinator

	Allows us to select the particular siblings that come after the first selector.

	element ~ generalSiblingElements {
	
	}

	text-decoration changes lines that are included in a text (overline,underline or strikethrough). By default, anchor tags have an underline.

*/

h2 ~ a {
	text-decoration: none;
}
/*
	Child Selector

	Child selector will allow us to select a particular child of the preceding selectors/selector

	parentSelector > childSelector {
		
		property: value;

	}

*/
section > form > label {
	color: rgb(0,0,128);
}

html{
	scroll-behavior: smooth;
}

nav{
	background-color: white;
}
a:hover{
	background-color: blue;
}
nav > div {
	display: inline-block;
	float: right;
}
form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.5%;
}
section{
	height: 100vh;
	text-align: center;
}
h2{
	font-size: 1.5rem;
}
ol{
	list-style-type: katakana-iroha;
}
button{
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}
